-- $LastChangedDate: 2011-03-17 19:59:52 -0400 (Thu, 17 Mar 2011) $
-- Macros written in Lua to expand C++ code for bindings between C++/Lua.
-- Avoid lua_/LUA_ which is reserved by Lua.

bindTable = {

class = "Collision",
typesig = nil,
luaCanInstantiate = false,

headers =
[[
#include "base/module.hh"
using namespace base;
#include "collision/module.hh"
#include "collision/collision.hh"
using namespace collision;
]],

func_Enable = {
    comments = "Collision:Enable()",
    code = [[
        GET_COLLISION().Enable( POP_BOOL( L ) );
    ]]
},

func_IfEnabled = {
    comments = "bool Collision:IfEnabled()",
    code = [[
        lua_pushboolean( L, GET_COLLISION().IfEnabled() );
        return 1;  // stack items to return
    ]]
},

}
